Summary: Module utilities and kerneld
Name: modutils
Version: 2.1.121
Release: 0 
Copyright: GPL
Group: Utilities/System
Source: ftp://ftp.redhat.com/pub/alphabits/modutils-%{version}.tar.bz2
Source1: kerneld.init
Patch0: modutils-2.1.121-autoload.patch
Patch1: modutils-2.1.55-nowarning.patch

# XXX following 3 patches are from ultrapenguin -- not yet applied.
Patch2: modutils-2.1.85-CVS980505.patch
Patch3: modutils-2.1.85-sparckludge.patch
Patch4: modutils-2.1.85-keyword.patch

Patch5: modutils-2.1.85-static.patch
Patch6: modutils-2.1.85-preferred.patch
Patch7: modutils-2.1.85-rh.patch
Patch8: modutils-2.1.121-systemmap.patch
Exclusiveos: Linux
Buildroot: /var/tmp/modutils-root
Prereq: /sbin/chkconfig

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable piecs
are called modules, and can include device drivers and filesystems among
other things. This package includes program to load and unload programs
both automatically and manually.

%prep
%setup -q
%patch0 -p1 -b .autoload
%patch1 -p1 -b .nowarning
#%patch3 -p1
#%patch4 -p1
%patch5 -p1 -b .dyn
%patch6 -p1 -b .preferred
%patch7 -p1 -b .rh
%patch8 -p1 -b .systemmap

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --disable-combined-insmod
make dep all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/{usr/man/man{1,2,8},sbin}
make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT
(cd kerneld; 
make install-scripts prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT
)
# security hole, works poorly anyway
rm -f $RPM_BUILD_ROOT/sbin/request-route
strip $RPM_BUILD_ROOT/sbin/* || :
install -m 755 $RPM_SOURCE_DIR/kerneld.init $RPM_BUILD_ROOT/etc/rc.d/init.d/kerneld

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add kerneld

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del kerneld
fi

%files
%defattr(-,root,root)
/sbin/*
/usr/man/*/*
%config /etc/rc.d/init.d/kerneld

%changelog
* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow it to compile on the arm

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- search /lib/modules/preferred before defaults but after specified paths.

* Tue Nov 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.1.121

* Thu Nov 05 1998 Erik Troan <ewt@redhat.com>
- added -m, -i options

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fix syntax error I introduced when enhancing initscript

* Wed Sep 30 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhance initscript

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- pick up ultrapenguin patches (not applied for now).
- pre-generate keyword.c so gperf doesn't have to be present (not applied).
- util/sys_cm.c: fix create_module syscall (signed return on sparc too)

* Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
- correct %postun typos

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- added /lib/modules/preferred to search path

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.1.85
- actually make use of the BuildRoot

* Fri Apr  3 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix sparc64, add modinfo64 on sparc.

* Wed Mar 23 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Handle EM_SPARCV9, kludge to support both 32bit and 64bit kernels
  from the same package on sparc/sparc64.

* Fri Nov  7 1997 Michael Fulbright
- removed warning message when conf.modules exists and is a empty

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- patched to honor -k in options
- added modprobe.1
- added init script

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- removed bogus strip of lsmod (which is a script)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated to 2.1.55
- builds in a buildroot

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- added insmod.static

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built on Intel
- combined rmmod and insmod
